ogspy 3.3.2 et 3.4.X

Démarré par Vice Artemis, 25 Mai 2018, 14:23:17

« précédent - suivant »

Vice Artemis

bonjour
j'ai une petite question car j'ai l'impression que je fait n'importe quoi.
quel est la version php et mysql maximum utilisable avec chaque version ogspy.
car dans les deux version en local avec uwamp 3.1.0 je ne rencontre que des erreurs.
pour info :
php 5.6.18
mysql 5.7.11

DarkNoon

Hello,

Nous avons des soucis avec la version 5.7 de MySQL. Il faudrait debugger la chose : https://www.digitalocean.com/community/tutorials/how-to-prepare-for-your-mysql-5-7-upgrade

Concernant PHP je suis allé jusqu'au 7.1 sans soucis ;-)
Héberger votre OGSpy : Hébergement

Vice Artemis

a ok je comprend mieux le pourquoi de mes erreur ^^.
donc je vais faire mes test (si j'y arrive ^^ ) et essayer de faire marché tout ça en php 7.0 et mysql 5.7

vous avez un états de ce qui fonctionne ou pas avec ces versions?
car pour l'instant le plus visible en erreur dés le départ c'est home_empire.php

DarkNoon

Non j'ai très peu testé. Je sais juste que c'est avec la dernière branche de MySQL qu'on a des soucis.

Pour avoir déjà fait des migrations c'est en général 3-4 fonctions qu'il faut reprendre. Si tu arrives à en récupérer les noms de celle ci le travail sera déjà à moitié réalisé ;-)

Si tu travailles sur le Git essaie de prendre la branche ogspy_3.3.x qui est la plus proche de la prochaine livrée.
Héberger votre OGSpy : Hébergement

Vice Artemis


DarkNoon

https://github.com/OGSteam/ogspy/tree/OGSpy_3.3

La version SQLite était un essai que j'avais pu faire sans avoir de BDD du coup.
Héberger votre OGSpy : Hébergement

Vice Artemis

bonsoir
donc je vais partir sur https://github.com/OGSteam/ogspy/tree/OGSpy_3.3 mais il doit y manquer tous les mod je pense.

DarkNoon

Oui tu as ici la version sans mod.

Pour travailler plus facilement tu as Github Destop qui permet de tout récupérer facilement : https://desktop.github.com/
Héberger votre OGSpy : Hébergement